Subject: [Rfced-future] RSE, RSEA, RSCE, or Ruler Of The Universe?

From: Eliot Lear <[email-masked]>
Date: Mon, 2 Aug 2021 17:57:26 +0200

Hi all,

Thankfully we didn't take time to discuss the naming of the role in the 
meeting, but I think we should try to complete this conversation.  It's 
pretty clear that we would not gain consensus on RFC Series Advisor or 
RFC Series Editor.  I believe someone offered RFC Series Consulting 
Editor.  Is that something that would work for people?

Eliot

---

From: Russ Housley <[email-masked]>
Date: Mon, 2 Aug 2021 12:03:39 -0400

How about RFC Series Advisor and Advocate?

> On Aug 2, 2021, at 11:57 AM, Eliot Lear <[email-masked]> wrote:
> 
> Signed PGP part
> Hi all,
> 
> Thankfully we didn't take time to discuss the naming of the role in the meeting, but I think we should try to complete this conversation.  It's pretty clear that we would not gain consensus on RFC Series Advisor or RFC Series Editor.  I believe someone offered RFC Series Consulting Editor.  Is that something that would work for people?
> 
> Eliot
> 
> 
> 
>

---

From: Michael StJohns <[email-masked]>
Date: Mon, 2 Aug 2021 14:24:01 -0400

On 8/2/2021 11:57 AM, Eliot Lear wrote:
> Hi all,
>
> Thankfully we didn't take time to discuss the naming of the role in 
> the meeting, but I think we should try to complete this conversation.  
> It's pretty clear that we would not gain consensus on RFC Series 
> Advisor or RFC Series Editor.  I believe someone offered RFC Series 
> Consulting Editor.  Is that something that would work for people?
>
> Eliot
>
>
>
I think RSCE makes a lot of sense.   I can live with it.

Mike

---

From: Bob Hinden <[email-masked]>
Date: Mon, 2 Aug 2021 13:34:33 -0700

> On Aug 2, 2021, at 11:24 AM, Michael StJohns <[email-masked]> wrote:
> 

Likewise.

Bob

> 
> Mike
> 
> 
> 
> --
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future

---

From: Jay Daley <[email-masked]>
Date: Tue, 3 Aug 2021 08:42:54 +1200

> On 3/08/2021, at 8:34 AM, Bob Hinden <[email-masked]> wrote:
> 
> 
> 

From my "Does this title define the role well and thereby support a successful recruitment process?" perspective, the answer is yes it does.

Jay 

>> [email-masked] <mailto:[email-masked]>
>> https://www.iab.org/mailman/listinfo/rfced-future <https://www.iab.org/mailman/listinfo/rfced-future>
> 
> -- 
> [email-masked] <mailto:[email-masked]>
> https://www.iab.org/mailman/listinfo/rfced-future <https://www.iab.org/mailman/listinfo/rfced-future>
-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 3 Aug 2021 09:00:39 +1200

>> I think RSCE makes a lot of sense.   I can live with it.

I concur (not surprising, since I suggested it).

   Brian

---

From: "Martin Thomson" <[email-masked]>
Date: Tue, 03 Aug 2021 08:13:05 +1000

On Tue, Aug 3, 2021, at 01:57, Eliot Lear wrote:
> I believe someone offered RFC Series Consulting 

WFM

---

From: "Joel M. Halpern" <[email-masked]>
Date: Mon, 2 Aug 2021 18:41:57 -0400

I can live with this.  (I am bad at naming, so my actually liking 
something is largely irrelevant.)

Yours,
Joel

---

From: Eliot Lear <[email-masked]>
Date: Wed, 4 Aug 2021 12:10:39 +0200

Unless people voice objections, I'll ask Peter to please use this term 
in the next revision of the draft.

Eliot

---

From: Mark Nottingham <[email-masked]>
Date: Thu, 5 Aug 2021 10:05:08 +1000

I can *just* live with this.

I would be much happier if we expunged the phrase 'RFC Editor' from our documents (progressively, of course), as it's going to cause confusion.

Cheers,

> On 4 Aug 2021, at 8:10 pm, Eliot Lear <[email-masked]> wrote:
> 
> Unless people voice objections, I'll ask Peter to please use this term in the next revision of the draft.
> 
> Eliot
> 
> 
>> I can live with this.  (I am bad at naming, so my actually liking something is largely irrelevant.)
>> 
>> Yours,
>> Joel
>> 

--
Mark Nottingham   https://www.mnot.net/

---

From: Martin J. Dürst <[email-masked]>
Date: Thu, 5 Aug 2021 10:13:20 +0900

> I would be much happier if we expunged the phrase 'RFC Editor' from our documents (progressively, of course), as it's going to cause confusion.

This seems to be a separate issue. If we no longer have a "RFC Editor" 
*function*, then the title "RFC Series Consulting Editor" may not make 
much sense anymore.

But if we'd start expunging the phrase "RFC Editor", what would you 
replace it with?

Regards,   Martin.

---

From: Mark Nottingham <[email-masked]>
Date: Thu, 5 Aug 2021 11:35:28 +1000

Let's map out the space. Currently, we have a couple of things that are well-defined:

* RFC Production Centre -- the people who actually do the editing
* RFC Publisher -- other bits (e.g., web site, announcements, legal verification)

We also have:
* RFC Series Consulting Editor -- the person we've been talking about a lot. *Not* in charge of the entities above.
* IETF Executive Director -- contracting authority for the RSCE, RPC and RP.
* RFC Series Working Group -- where the community/communities come together to figure out things about the series.
* RFC Series Approval Board -- oversight of the RSWG, representation of the streams.

If we were to draw a diagram around bits of this a la RFC8728 Section 2, I'd be very interested to know what should be inside a box labeled 'RFC Editor'.

Looking at draft-iab-rfcefdp-rfced-model-00, 'RFC Editor' is used consistently to talk about the set of functions that collectively manages the Series. Calling everything happening the 'RFC Editor' while also having someone whose job title ends in 'Editor' is confusing and arguably misleading to those who aren't steeped in the details of IETF minutia (an ongoing problem, especially for the one part of our work that's actually exposed to non-IETF people on a regular basis). 

The problem, of course, is that we've invested a lot in 'rfc-editor.org'. Even if we plaster 'The RFC Editor is not a person' in red on the top of that web site, the nature of this role is still going to be confusing if it ends with 'Editor.'

So actually, I retract my 'can live with this.' I haven't seen any evidence supporting the notion that people will refuse this position if it doesn't have 'editor' in the title; that seems frankly petty, and if someone were to make it a sticking point for the position, I'd think carefully about whether they're appropriate for the role. 

Eliot, consider this an objection, please. If we're going to have 'RFC Editor' refer to the function, it should be clearly and absolutely delineated from the component bodies and people.

Instead, I would suggest 'RFC Series Consulting Expert' -- same acronym. Much clearer, and still looks nice on someone's resume if that's truly important.

Cheers,

> On 5 Aug 2021, at 11:13 am, Martin J. Dürst <[email-masked]> wrote:
> 
> This seems to be a separate issue. If we no longer have a "RFC Editor" *function*, then the title "RFC Series Consulting Editor" may not make much sense anymore.
> 
> But if we'd start expunging the phrase "RFC Editor", what would you replace it with?
> 
> Regards,   Martin.
> 
> 
>> Cheers,

---

From: Eric Rescorla <[email-masked]>
Date: Wed, 4 Aug 2021 19:52:17 -0700

On reflection I concur with Mark. This person isn't editing, they're
advising. So, expert seems fine, but Editor just seems historical.

FWIW, I'm somewhat less attached to rfc-editor.org than mnot is. If we were
starting from scratch with a document series called "RFC", I doubt we would
host it at "rfc-editor.org". OTOH, that seems mostly OBE now.

-Ekr

On Wed, Aug 4, 2021 at 6:35 PM Mark Nottingham <[email-masked]> wrote:

> * RFC Series Consulting Editor -- the person we've been talking about a
> lot. *Not* in charge of the entities above.
> * RFC Series Working Group -- where the community/communities come
> together to figure out things about the series.
> If we were to draw a diagram around bits of this a la RFC8728 Section 2,
> I'd be very interested to know what should be inside a box labeled 'RFC
> Editor'.
>
> Looking at draft-iab-rfcefdp-rfced-model-00, 'RFC Editor' is used
> consistently to talk about the set of functions that collectively manages
> the Series. Calling everything happening the 'RFC Editor' while also having
> someone whose job title ends in 'Editor' is confusing and arguably
> misleading to those who aren't steeped in the details of IETF minutia (an
> ongoing problem, especially for the one part of our work that's actually
> exposed to non-IETF people on a regular basis).
>
> The problem, of course, is that we've invested a lot in 'rfc-editor.org'.
> Even if we plaster 'The RFC Editor is not a person' in red on the top of
> that web site, the nature of this role is still going to be confusing if it
> ends with 'Editor.'
>
> So actually, I retract my 'can live with this.' I haven't seen any
> evidence supporting the notion that people will refuse this position if it
> doesn't have 'editor' in the title; that seems frankly petty, and if
> someone were to make it a sticking point for the position, I'd think
> carefully about whether they're appropriate for the role.
>
> Eliot, consider this an objection, please. If we're going to have 'RFC
> Editor' refer to the function, it should be clearly and absolutely
> delineated from the component bodies and people.
>
> Instead, I would suggest 'RFC Series Consulting Expert' -- same acronym.
> Much clearer, and still looks nice on someone's resume if that's truly
> important.
>
> Cheers,
>
>
> >> I would be much happier if we expunged the phrase 'RFC Editor' from our
> documents (progressively, of course), as it's going to cause confusion.
> >
> *function*, then the title "RFC Series Consulting Editor" may not make much
> sense anymore.
> >

---

From: Jay Daley <[email-masked]>
Date: Thu, 5 Aug 2021 15:12:18 +1200

> On 5/08/2021, at 2:52 PM, Eric Rescorla <[email-masked]> wrote:
> 

> If we were starting from scratch with a document series called "RFC", I doubt we would host it at "rfc-editor.org". OTOH, that seems mostly OBE now.

While that’s undoubtedly true, we now have problems from our use of rfc-editor.org.  Naming the site after the editorial function, which is possibly the lowest profile function in the whole IETF process, means that the site inherently has very little brand recognition (and therefore authority) to an uninitiated user.  This is one of the reasons why tools.ietf.org dominates in the search rankings.

We could partly get around this by using say rfcseries.org but even then it’s not clear that any site that is not closely related to the IETF has the brand necessary to be recognised as the authoritative site for RFCs.  I believe that’s why some people have proposed a docs.ietf.org site.

(We could also get over the SEO hurdle by using a 301 redirect not a 302 from tools.ietf.org and set rel="canonical" everywhere we publish RFCs, but not the cognitive hurdle)

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Mark Nottingham <[email-masked]>
Date: Thu, 5 Aug 2021 13:57:32 +1000

Changing terminology in the draft and on the web site away from 'RFC Editor' would also work. 

> On 5 Aug 2021, at 1:12 pm, Jay Daley <[email-masked]> wrote:
> 
> 
>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 5 Aug 2021 16:49:42 +1200

On 05-Aug-21 14:52, Eric Rescorla wrote:
> On reflection I concur with Mark. This person isn't editing, they're advising. So, expert seems fine, but Editor just seems historical.

"Consulting Editor" is a status marker. It will look serious on LinkedIn. 
This is highly relevant when trying recruit a good candidate. It's also very descriptive of the role we have been evolving.

As for Mark's point, I think that preferring a term such as "RFC Editor Service" in future would be a good idea. Let the wordsmithing commence.

    Brian

> 
> FWIW, I'm somewhat less attached to rfc-editor.org <http://rfc-editor.org> than mnot is. If we were starting from scratch with a document series 
called "RFC", I doubt we would host it at "rfc-editor.org <http://rfc-editor.org>". OTOH, that seems mostly OBE now.
> 
> -Ekr
> 
> 
> On Wed, Aug 4, 2021 at 6:35 PM Mark Nottingham <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     The problem, of course, is that we've invested a lot in 'rfc-editor.org <http://rfc-editor.org>'. Even if we plaster 'The RFC Editor is not a person' in red on the top of that web site, the nature of this role is still going to be confusing if it ends with 'Editor.'
> 
>     > On 5 Aug 2021, at 11:13 am, Martin J. Dürst <[email-masked] <mailto:[email-masked]>> wrote:
>     >
>     >>> On 4 Aug 2021, at 8:10 pm, Eliot Lear <[email-masked] <mailto:[email-masked]>> wrote:
>     >>>
>     >> Mark Nottingham   https://www.mnot.net/ <https://www.mnot.net/>
> 
>     --
>     Mark Nottingham   https://www.mnot.net/ <https://www.mnot.net/>
> 
>     --

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 5 Aug 2021 06:53:28 +0200

> We could partly get around this by using say rfcseries.org but even then it’s not clear that any site that is not closely related to the IETF has the brand necessary to be recognised as the authori…

That is certainly not the reason I have proposed doc.ietf.org.

doc.ietf.org is an attempt to, for once, *design* the URI and the contents behind it as if we had 30 years of experience with the Web and publishing IETF documents on it.  Yes, a focal point the naming of which includes the IETF brand.  But branding is a nice add-on, not the reason to do this.

Should we get rid of rfc-editor.org?  We could 301 it, once we have a credible approach to doc.ietf.org, but please let’s do this in this sequence.  The argument that the RFC series is larger than the IETF remains, but doesn’t dominate all other considerations.  Introducing yet another URI like rfc-series.org would be another symptom of change for the sake of change.

Grüße, Carsten

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 5 Aug 2021 16:58:01 +1200

On 05-Aug-21 15:12, Jay Daley wrote:
> While that’s undoubtedly true, we now have problems from our use of rfc-editor.org.  Naming the site after the editorial function, which 
is possibly the lowest profile function in the whole IETF process, means that the site inherently has very little brand recognition (and therefore 
authority) to an uninitiated user.  This is one of the reasons why tools.ietf.org dominates in the search rankings.
> 
> We could partly get around this by using say rfcseries.org but even then it’s not clear that any site that is not closely related to the 
IETF has the brand necessary to be recognised as the authoritative site for RFCs.  I believe that’s why some people have proposed a docs.ietf.org site.

That would be wonderful if the RFC Series belonged to the IETF, but it doesn't. At this point I think the "RFC" (or "Internet RFC") brand is strong enough that the domain name simply doesn't matter. I mean, we're not some Amazon wannabe trying to sell the most RFCs.

Recently my Google searches have been showing tools.ietf.org first and rfc-editor.org second for rfcXXXX. SEO magic to reverse that would be fine. 
Only geeks would want the datatracker to come first.

   Brian

>> Looking at draft-iab-rfcefdp-rfced-model-00, 'RFC Editor' is used consistently to talk about the set of functions that collectively manages the 
Series. Calling everything happening the 'RFC Editor' while also having someone whose job title ends in 'Editor' is confusing and arguably misleading to those who aren't steeped in the details of IETF minutia (an ongoing problem, especially for the one part of our work that's actually exposed to non-IETF people on a regular basis). 
>>
>> The problem, of course, is that we've invested a lot in 'rfc-editor.org'. Even if we plaster 'The RFC Editor is not a person' in red on the top 
of that web site, the nature of this role is still going to be confusing if it ends with 'Editor.'
>>
>> So actually, I retract my 'can live with this.' I haven't seen any evidence supporting the notion that people will refuse this position if it doesn't have 'editor' in the title; that seems frankly petty, and if someone were to make it a sticking point for the position, I'd think carefully 
about whether they're appropriate for the role. 
>> Eliot, consider this an objection, please. If we're going to have 'RFC 
Editor' refer to the function, it should be clearly and absolutely delineated from the component bodies and people.

---

From: Eliot Lear <[email-masked]>
Date: Thu, 5 Aug 2021 07:16:37 +0200

Peter should hold on this change until there is consensus, which I am 
not ready to say that there is.

However, I think Mark and Eric, you should reconsider your objections.  
As I have stated, I do not see consensus for advisor.  I do not know if 
we will see consensus for expert, and I would like to get beyond this 
issue.  We are seeking compromise. This person is expected to be an 
editor by profession and to provide that expertise.  We're not hiring 
just any expert.

Eliot

On 05.08.21 04:52, Eric Rescorla wrote:
> FWIW, I'm somewhat less attached to rfc-editor.org 
> <http://rfc-editor.org> than mnot is. If we were starting from scratch 
> with a document series called "RFC", I doubt we would host it at 
> "rfc-editor.org <http://rfc-editor.org>". OTOH, that seems mostly OBE now.
>
> -Ekr
>
>
>     * RFC Series Consulting Editor -- the person we've been talking
>     about a lot. *Not* in charge of the entities above.
>     If we were to draw a diagram around bits of this a la RFC8728
>     Section 2, I'd be very interested to know what should be inside a
>     box labeled 'RFC Editor'.
>
>     consistently to talk about the set of functions that collectively
>     manages the Series. Calling everything happening the 'RFC Editor'
>     while also having someone whose job title ends in 'Editor' is
>     confusing and arguably misleading to those who aren't steeped in
>     the details of IETF minutia (an ongoing problem, especially for
>     the one part of our work that's actually exposed to non-IETF
>     people on a regular basis).
>
>     The problem, of course, is that we've invested a lot in
>     'rfc-editor.org <http://rfc-editor.org>'. Even if we plaster 'The
>     RFC Editor is not a person' in red on the top of that web site,
>     the nature of this role is still going to be confusing if it ends
>     with 'Editor.'
>
>     evidence supporting the notion that people will refuse this
>     position if it doesn't have 'editor' in the title; that seems
>     frankly petty, and if someone were to make it a sticking point for
>     the position, I'd think carefully about whether they're
>     appropriate for the role.
>
>     Eliot, consider this an objection, please. If we're going to have
>     'RFC Editor' refer to the function, it should be clearly and
>     absolutely delineated from the component bodies and people.
>
>     Instead, I would suggest 'RFC Series Consulting Expert' -- same
>     acronym. Much clearer, and still looks nice on someone's resume if
>     that's truly important.
>
>     Cheers,
>
>
>     > On 5 Aug 2021, at 11:13 am, Martin J. Dürst
>     <[email-masked] <mailto:[email-masked]>> wrote:
>     >
>     >> I would be much happier if we expunged the phrase 'RFC Editor'
>     from our documents (progressively, of course), as it's going to
>     cause confusion.
>     >
>     > This seems to be a separate issue. If we no longer have a "RFC
>     Editor" *function*, then the title "RFC Series Consulting Editor"
>     may not make much sense anymore.
>     >
>     >>> Unless people voice objections, I'll ask Peter to please use
>     this term in the next revision of the draft.
>     >>>
>     >>> Eliot
>     >>>
>     >>>
>     <https://www.iab.org/mailman/listinfo/rfced-future>
>     >> --
>     <https://www.iab.org/mailman/listinfo/rfced-future>
>

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 5 Aug 2021 07:28:44 +0200

On 5. Aug 2021, at 07:16, Eliot Lear <[email-masked]> wrote:
> expert

Expert is a synonym for human being (where the humanity is optional). — Charles Goldfarb

Grüße, Carsten

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 5 Aug 2021 10:45:02 -0600

[ no hats ]

> * RFC Publisher -- other bits (e.g., web site, announcements, legal verification)

It seems that these are effectively the same thing; or, I'm not sure how
much value there is in describing them separately.

> * IETF Executive Director -- contracting authority for the RSCE, RPC and RP.

Actually I think the contracting authority is IETF LLC.

> Looking at draft-iab-rfcefdp-rfced-model-00, 'RFC Editor' is used consistently to talk about the set of functions that collectively manages the Series. Calling everything happening the 'RFC Editor'…

As I've said before on this list, I agree that this is confusing. When I
suggested not long ago that we might want to pull in text from RFC 4844
/ RFC 8729, Brian Carpenter said "a lot of text". Although it's beyond
our remit to obsolete those documents, I do think it's reasonable for us
to describe the new model accurately, which likely means it is no longer
the "RFC Editor Model".

Peter

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 5 Aug 2021 12:52:48 -0400

I am not following why what we are doing is not describing the "RFC 
Editor Model".  It appears that we are describing the whole process for 
habndling documents once streams say they want the document published. 
that includes, policy, strategy, tactics, ...   The largest piece of 
that is the process of editing the documents.   Sure, it is not the only 
piece.  Nothing  is.   But seems to me that it is the single most 
important part of what happens.

Yours,
Joel

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 5 Aug 2021 10:55:49 -0600

> important part of what happens.

We could call it "RFC Series Policy Definition and Implementation" - as
far as I can see, there's no reason (other than history) to call it the
RFC Editor Model.

Peter

---

From: Adam Roach <[email-masked]>
Date: Thu, 5 Aug 2021 14:10:10 -0500

> We could partly get around this by using say rfcseries.org but even then it’s not clear that any site that is not closely related to the IETF has the brand necessary to be recognised as the authori…

This line of discussion is getting very close to the RFCPLUSPLUS 
question about the meaning of "RFC" and the relationship between the 
IETF and the RFC series itself. If we are to revisit that conversation, 
I suggest we have it in a different venue than this one, since it's 
bigger than the charter of this group.

/a

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 5 Aug 2021 14:06:00 -0600

On 8/5/21 1:10 PM, Adam Roach wrote:
>> We could partly get around this by using say rfcseries.org but even
>> then it’s not clear that any site that is not closely related to the
>> IETF has the brand necessary to be recognised as the authoritative
>> site for RFCs.  I believe that’s why some people have proposed a
>> docs.ietf.org site.
> 
> 

Agreed, and I don't think we need to go there in order to complete the
work in our charter.

Peter

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 6 Aug 2021 08:24:14 +1200

Peter,

> far as I can see, there's no reason (other than history) to call it the

I think history is a good reason, to avoid confusing the outside world. Expand it to RFC Editor Service perhaps, which is what the phrase has meant for many years anyway.

    Brian

---

From: Russ Housley <[email-masked]>
Date: Thu, 5 Aug 2021 17:02:24 -0400

> IETF has the brand necessary to be recognised as the authoritative site for RFCs.  I believe that’s why some people have proposed a docs.ietf.org <http://docs.ietf.org/> site.

This would be harmful to the IAB, IRTF, and Independent streams.

Russ

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 5 Aug 2021 21:11:00 +0000

*   [docs.ietf.org] This would be harmful to the IAB, IRTF, and Independent streams.

It’s not an obvious decision.  On the one hand, we seem to often run into cases where other organizations, including SDO’s, treat those streams as “IETF Standards” Having a single place where such “IETF Standards” are found seems like a good thing to me. On the other hand, having a unified place for ALL the RFC streams also seems worthwhile.  Luckily websites are cheap enough these days that we can have both. Perhaps docs.iab.org and docs.irtf.org make sense, although I have no idea what docs.independant-stream.ietf?.org should be called.

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 6 Aug 2021 09:36:02 +1000

> On 6 Aug 2021, at 6:24 am, Brian E Carpenter <[email-masked]> wrote:
> 

That's a really good idea actually -- it would allow us to keep using the same domain name and just tweak the documentation a bit. 

Brian, would you consider using 'RFC Editing Service' in the documentation as workable?

Cheers,

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 6 Aug 2021 09:40:15 +1000

That's also a good suggestion.

> On 6 Aug 2021, at 2:55 am, Peter Saint-Andre <[email-masked]> wrote:
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 5 Aug 2021 17:56:47 -0600

For the avoidance of doubt, I meant as the title of the document we’re working on.

> On Aug 5, 2021, at 5:40 PM, Mark Nottingham <[email-masked]> wrote:
>

---

From: Christian Huitema <[email-masked]>
Date: Thu, 5 Aug 2021 17:10:48 -0700

> This would be harmful to the IAB, IRTF, and Independent streams.

Is there a way to quantify how harmful that would be? I observe that 
drafts targeting the IAB stream, the IRTF or independent stream are 
commonly indexed in the IETF datatracker, and nobody seems to argue 
that's causing harm. I think that having the RFC available on an IETF 
document site would cut both ways -- more visibility for the documents 
because they will benefit from the reputation of the IETF; but maybe 
fewer visibility for the IRTF and Independent series as organization. 
Maybe, because increased visibility of the documents will also increase 
visibility of IRTF and Independent series, given proper indexing.

-- Christian Huitema

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 5 Aug 2021 20:21:40 -0400

Christian, you seem to be mixing two things here.

We (the historic and current RFC community in the large) have always 
been clear that anyone can index, store, copy, make avaialble, etc. the 
RFCs.  The fact that the IETF does so via the datatracker (and tools) 
sites fits just fine with that.

Moving the official repository for the RFC series under the IETF domain 
is asserting that the IETF owns the RFC series.  it doesn't.   that kind 
of change would be, as far as I can tell, inherently harmful to the 
nature of the series.

And spliting the various parts of the series so that the use different 
web sites as their official presence would be destroying much of the 
coherence of the series.   I do not think that is a good idea.

Yours,
Joel

On 8/5/2021 8:10 PM, Christian Huitema wrote:
>>> docs.ietf.org <http://docs.ietf.org/> site.

---

From: Jay Daley <[email-masked]>
Date: Fri, 6 Aug 2021 12:28:04 +1200

> On 6/08/2021, at 12:21 PM, Joel M. Halpern <[email-masked]> wrote:
> 
> We (the historic and current RFC community in the large) have always been clear that anyone can index, store, copy, make avaialble, etc. the RFCs.  The fact that the IETF does so via the datatracker (and tools) sites fits just fine with that.

I think Christian was talking about I-Ds not RFCs, which are only available under the Datatracker or tools.ietf.org <http://tools.ietf.org/> (though that part is going) whatever the stream,

Jay

> 
> Moving the official repository for the RFC series under the IETF domain is asserting that the IETF owns the RFC series.  it doesn't.   that kind of change would be, as far as I can tell, inherently harmful to the nature of the series.
> 
> And spliting the various parts of the series so that the use different web sites as their official presence would be destroying much of the coherence of the series.   I do not think that is a good idea.
> 
> Yours,
> Joel
> 
>> Is there a way to quantify how harmful that would be? I observe that drafts targeting the IAB stream, the IRTF or independent stream are commonly indexed in the IETF datatracker, and nobody seems to argue that's causing harm. I think that having the RFC available on an IETF document site would cut both ways -- more visibility for the documents because they will benefit from the reputation of the IETF; but maybe fewer visibility for the IRTF and Independent series as organization. Maybe, because increased visibility of the documents will also increase visibility of IRTF and Independent series, given proper indexing.
>> -- Christian Huitema
> 
> -- 

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Christian Huitema <[email-masked]>
Date: Thu, 5 Aug 2021 17:37:29 -0700

> I think Christian was talking about I-Ds not RFCs, which are only available under the Datatracker or tools.ietf.org <http://tools.ietf.org/> (though that part is going) whatever the stream,

No, I was specifically speaking about the idea of publishing RFCs under 
something like rfc.ietf.org. I understand Joel point about history and 
ownership, but Russ was making a different argument, that having such a 
publication structure would hurt the IAB, the IESG and the independent 
series publishers. I think that this level of hurt is very hard to 
quantify. The examples of handling draft tells me that an IETF-centered 
structure cuts both ways, hurt in some ways, benefit in other ways. I 
would like to understand how we would quantify these effects, a.k.a., 
get data instead of opinions.

But we may also decide to let sleeping dogs lie.

-- Christian Huitema

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 6 Aug 2021 15:00:54 +1200

> Brian, would you consider using 'RFC Editing Service' in the documentation as workable?

Yes, at a pinch. It would still convey continuity.

   Bria 
 
> .

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 6 Aug 2021 15:05:04 +1200

If we were actually in the business of selling stuff using the usual emotional nudges that advertisers have been using for 150 years, the domain name would matter.

But we aren't, so it doesn't. We already know that very few people even read the boilerplate text in RFCs, so I don't think that badge engineering will have the slightest effect anyway.

Regards
   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 6 Aug 2021 15:07:25 +1200

Sure, name the document for what it says, not for what it replaces.

(However, for the issue list: we do need to work out what loose ends exist in the older IAB documents about the series that need to be obsoleted or amended.)

Regards
   Brian Carpenter

---

From: Jay Daley <[email-masked]>
Date: Fri, 6 Aug 2021 18:40:40 +1200

It’s not about selling RFCs but something more fundamental than that - trust.  When an uninitiated person searches for an RFC and sees results from rfc-editor.org, tools.ietf.org and datatracker.ietf.org then which do they trust?  From my experience of talking to many developers about this (over some years), almost none of them trusted rfc-editor.org on first sight because they could not associate it with the IETF and because the name itself did not convey authority/legitimacy. 

Jay

(sent from my phone)

-- 
Jay Daley
IETF Executive Director
+64 21 678840

> On 6/08/2021, at 3:05 PM, Brian E Carpenter <[email-masked]> wrote:
>

---

From: Eliot Lear <[email-masked]>
Date: Fri, 6 Aug 2021 10:06:17 +0200

Question:

Do people believe this is a topic for THIS group or for the (hopefully 
soon to be created) RSWG?  Are there parts that need to be dealt with 
NOW and parts that can be dealt with later?

Eliot

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 6 Aug 2021 10:07:03 +0100

Eliot,

I don't think this is something this group should spend time on: we have a primary focus and I suspect this would be a substantial distraction that might even bring the whole thing down.

It is possible that the RSWG could consider it.

What needs to be dealt with now? Nothing. Well, can't let Jay's comment go unchallenged. It is entirely possible that he talks to different developers from those I talk to.
Perhaps "trust" is not the right word? I find people trusting rfc-editor.org as definitive. It is where the DOIs resolve to. It is the anchor for citations from third-party publications.
But I find people use tools.ietf.org and datatracker.ietf.org (each according entirely to personal preferences) for convenient and quick access to RFCs.

A
-----Original Message-----
From: Rfced-future <[email-masked]> On Behalf Of Eliot Lear
Sent: 06 August 2021 09:06
To: Jay Daley <[email-masked]>; Brian E Carpenter <[email-masked]>
Cc: [email-masked]; Joel M. Halpern <[email-masked]>; Christian Huitema <[email-masked]>
Subject: Re: [Rfced-future] RSE, RSEA, RSCE, or Ruler Of The Universe?

Question:

Eliot

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 6 Aug 2021 11:42:01 -0600

> (However, for the issue list: we do need to work out what loose ends exist in the older IAB documents about the series that need to be obsoleted or amended.)

Yes. Eliot, if you create this issue and assign it to me I can grep
through the relevant RFCs. (Are there also non-RFC documents from the
IAB to check?)

Peter

---

From: Eliot Lear <[email-masked]>
Date: Fri, 6 Aug 2021 20:58:51 +0200

Hi Peter,

> through the relevant RFCs. (Are there also non-RFC documents from the

Issue 78.  However...  I *think* that was what John Klensin did for us, 
that led to the creation of issues 26-35.  These issues cover RFCS 2026, 
2028, BCPs 78, 79, 39, RFC 8729 and 4844, as well as boiler plate.  I'm 
not saying that we shouldn't do that again, by the way.  Thus the new 
tracking issue.

Eliot

---

From: Russ Housley <[email-masked]>
Date: Fri, 6 Aug 2021 15:11:40 -0400

> On Aug 5, 2021, at 8:37 PM, Christian Huitema <[email-masked]> wrote:
> 
> 
> No, I was specifically speaking about the idea of publishing RFCs under something like rfc.ietf.org. I understand Joel point about history and ownership, but Russ was making a different argument, that having such a publication structure would hurt the IAB, the IESG and the independent series publishers. I think that this level of hurt is very hard to quantify. The examples of handling draft tells me that an IETF-centered structure cuts both ways, hurt in some ways, benefit in other ways. I would like to understand how we would quantify these effects, a.k.a., get data instead of opinions.

https://www.ietf.org/rfc/rfc5280.txt

This already works.  It is a duplicate of the files on rfc-editor.org

Russ

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 7 Aug 2021 07:57:51 +1200

I agree, we can defer this issue.

Regards
   Brian Carpenter

On 06-Aug-21 21:07, Adrian Farrel wrote:
> What needs to be dealt with now? Nothing. Well, can't let Jay's comment 
go unchallenged. It is entirely possible that he talks to different developers from those I talk to.
>> It’s not about selling RFCs but something more fundamental than that - trust.  When an uninitiated person searches for an RFC and sees results from rfc-editor.org, tools.ietf.org and datatracker.ietf.org then 
which do they trust?  From my experience of talking to many developers about this (over some years), almost none of them trusted rfc-editor.org on 
first sight because they could not associate it with the IETF and because 
the name itself did not convey authority/legitimacy.

---

From: Russ Housley <[email-masked]>
Date: Fri, 6 Aug 2021 15:59:37 -0400

I agree, this is not something that this group should work on at this time.

Russ

> On Aug 6, 2021, at 5:07 AM, Adrian Farrel <[email-masked]> wrote:
> 
> Eliot,
>

---

From: Ole Jacobsen <[email-masked]>
Date: Fri, 6 Aug 2021 14:04:15 -0700

This discussion reminds me of a bunch of recent TV ads that have the following
tag line: "Angie's List is now Angi"

This change of name is the result of the merger of Home Advisor and Angie's List
into one company. Somehow they believe that the consumer will care and understand
this change in name. Even if there might be subtle differences in the services
offered between the two old companies and the new one, I am going to guess that
nobody at the user side will know or care and thus the new name just introduces
confusion.

There used to be a person (or actually several people, so a function) called the
RFC Editor. In the most recent iteration it became the RFC Series Editor because
we're engineers and we like to over-specify and none of us understand the meaning
of the word "approximately." The RFC Editor or the RFC Series Editor was a point
of contact, a function, a website, a place to get started. The fact that we've
replicated documents and built a confusing mesh of "tools.ietf.org <http://tools.ietf.org/>" and "datatracter.ietf.org <http://datatracter.ietf.org/>"
and "rfc-editor.org <http://rfc-editor.org/>" where various incarnations of the RFC documents and the drafts
that came before them are hosted, does not make things easier for *outsiders*.

Changing the title based on a precise description of what this role entails
isn't helpful IMO. I get job suggestions from LinkeIn all the time that includes
the word "Editor" but the actual job descriptions are all over the map.

We know (or we knew) what the RFC Editor does (approximately). Do we really need 
to invent yet another title?

Ole

Ole J. Jacobsen
Editor and Publisher
The Internet Protocol Journal
Office: +1 415-550-9433
Cell:   +1 415-370-4628
Web: protocoljournal.org
E-mail: [email-masked]
E-mail: [email-masked]
Skype: organdemo

---

From: Mark Nottingham <[email-masked]>
Date: Sat, 7 Aug 2021 12:15:07 +1000

> On 7 Aug 2021, at 7:04 am, Ole Jacobsen <olejacobsen=[email-masked]> wrote:
> 

What person or body are you referring to when you ask that question?

---

From: Ole Jacobsen <[email-masked]>
Date: Fri, 6 Aug 2021 21:07:14 -0700

See $subject-of-this-thread

Sent from my iPhone

> On 6 Aug 2021, at 19:15, Mark Nottingham <[email-masked]> wrote:
> 
> 
>

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 7 Aug 2021 17:52:51 +0200

I don’t think this groups should try to design doc.Ietf.org.  If this is done right, it will be

Practical. The source that people will want to use. 

Informative.  Not just a copy of the RFC, but Status, links, …

Stable. The Uris won’t decay.  

Non-damaging.  Yes, this requires some thinking if it is going to be better than what we have. 

Useful. For our audience, but also for ourselves. 

Sent from mobile, sorry for terse

> On 6. Aug 2021, at 21:12, Russ Housley <[email-masked]> wrote:
>

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 7 Aug 2021 19:22:01 +0200

+1

Look at outcomes, not at ideological consistency. 

> On 6. Aug 2021, at 23:04, Ole Jacobsen <olejacobsen=[email-masked]> wrote:
> 
> 
> 
> replicated documents and built a confusing mesh of "tools.ietf.org" and "datatracter.ietf.org"
> and "rfc-editor.org" where various incarnations of the RFC documents and the drafts

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 8 Aug 2021 08:09:28 +1200

Well yes. And the outcome in this particular space is whether we can recruit a suitable person for the role whose name we are discussing. The name 
of the role affects that outcome.

Of course there will always be an RFC Editor service.

Regards
   Brian

On 08-Aug-21 05:22, Carsten Bormann wrote:
>> replicated documents and built a confusing mesh of "tools.ietf.org <http://tools.ietf.org>" and "datatracter.ietf.org <http://datatracter.ietf.org>"
>> and "rfc-editor.org <http://rfc-editor.org>" where various incarnations of the RFC documents and the drafts
>> Web: protocoljournal.org <http://protocoljournal.org>
>> E-mail: [email-masked] <mailto:[email-masked]>

---

From: Christian Huitema <[email-masked]>
Date: Sat, 7 Aug 2021 13:14:10 -0700

> of the role affects that outcome.

This cuts both ways. Suppose we recruit someone with a lofty title, and 
then that person realizes that the actual work is not that exhilarating. 
That too will lead to frustration and undesirable outcomes.

-- Christian Huitema

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 8 Aug 2021 08:19:15 +1200

> That too will lead to frustration and undesirable outcomes.

Yes, and that's exactly why RFC Series Editor no longer works.

   Brian

---

From: Eliot Lear <[email-masked]>
Date: Sun, 8 Aug 2021 11:53:49 +0200

Ole,

> to invent yet another title?

May I ask you and others thinking similarly to consider a compromise?  I 
don't see people on the other side of this issue ever supporting RFC 
Editor or RSE.

Eliot

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 9 Aug 2021 07:50:08 +1200

> don't see people on the other side of this issue ever supporting RFC 

Can we first agree that "RFC Editor" refers to the service as a whole,
which IMHO has been the case for many years (probably from when Jon Postel
first said "It isn't just me")?

    Brian

---

From: Ole Jacobsen <[email-masked]>
Date: Sun, 8 Aug 2021 13:05:08 -0700

Brian,

Yes, I agree that "RFC Editor" refers as the service as a whole and
that probably includes the production center in people's "fuzzy"
interpretation.

RFCs (literally) are no longer really "Request for Comments" that's
clearly a historic name BUT it's one with great branding value even
if it too suffers from the same fuzziness including misnomers such
as "all RFCs are Internet Standards" and so on. So, I propose that
we keep RFC in the title.

Alternatively, and this is certainly *possible* we could call the
role something more reflective of reality such as "IETF Document
Editor and Publisher" or something like that.

I would still prefer a title that recognizes a bit of the history
(even if fuzzy), but I am certainly happy to compromise. I do agree
that this all boils down to what the applicants will read in the
job description and whether or not they understand any of our
history.

Ole

> On Aug 8, 2021, at 12:50, Brian E Carpenter <[email-masked]> wrote:
> 

Ole J. Jacobsen
Editor and Publisher

---

From: Jay Daley <[email-masked]>
Date: Tue, 10 Aug 2021 07:07:17 +1200

> On 9/08/2021, at 8:05 AM, Ole Jacobsen <olejacobsen=[email-masked]> wrote:
> 
> Brian,
> 

The new role as defined is neither an editor nor a publisher, it’s an expert advisor on editing and publishing.

Jay

> Web: protocoljournal.org <http://protocoljournal.org/>
> E-mail: [email-masked] <mailto:[email-masked]>
> Skype: organdemo
> 
> 
> 
> -- 
-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: "Joel M. Halpern" <[email-masked]>
Date: Mon, 9 Aug 2021 15:17:02 -0400

Trimmed, I hope that doing so has not mangled anyone's point.

Agreeing with Jay's point below, which is why I can live with RFC Series 
Consulting Editor (RSCE).

On 8/9/2021 3:07 PM, Jay Daley wrote:

> 
> The new role as defined is neither an editor nor a publisher, it’s an 
> expert advisor on editing and publishing.
> 
> Jay

---

From: Ole Jacobsen <[email-masked]>
Date: Mon, 9 Aug 2021 12:19:41 -0700

RFC Series Consulting Editor (RSCE) works for me.

Ole

> On Aug 9, 2021, at 12:17, Joel M. Halpern <[email-masked]> wrote:
> 
> Agreeing with Jay's point below, which is why I can live with RFC Series Consulting Editor (RSCE).
> 

Ole J. Jacobsen
Editor and Publisher

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 9 Aug 2021 22:01:31 +0200

+1

> On 9. Aug 2021, at 21:25, Ole Jacobsen <olejacobsen=[email-masked]> wrote:
>

---

From: Nevil Brownlee <[email-masked]>
Date: Tue, 10 Aug 2021 14:56:55 +1200

I reckon RSCE is a good title (as Ole said).
Cheers, Nevil

-- 
-----------------------------------
Nevil Brownlee, Taupo, NZ